<div class="tad-awaiting-verification">
  <app-content-banner [isDashboard]="false" pageName="TAD Awaiting Verification"></app-content-banner>
  <mat-card class="tav-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="5px">
      <div fxLayout="row" class="banner-outline">
        <div class="stats" style="color: red;"><span><b>NotSubmitted(Overdue): </b>{{TAD ? TAD.notSubmittedOverdue : 0}}</span></div>
        <div class="stats" style="color: #FF9900"><span><b>Pending: </b>{{TAD ? TAD.pending : 0}}</span></div>
        <div class="stats" style="color: red;"><span><b>Verification Overdue: </b>{{TAD ? TAD.verificationOverdue : 0}}</span></div>
        <div class="stats" style="color: green"><span><b>SYS verified: </b>{{TAD ? TAD.sysVerified : 0}}</span></div>
      </div>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight [selectedIndex]="selectedTab" (selectedTabChange)="tabChanged($event)">
        <mat-tab>
          <ng-template matTabLabel>
            <span>Not Submitted</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <div class="example-small-box mat-elevation-z4" fxLayout="column">
                  <div class="table-filters-header" fxLayout="column">
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                        <mat-icon (click)="refreshAgGrid('ns')" color="primary" matTooltip="Reset the filters">settings_backup_restore
                        </mat-icon>
                        <mat-icon (click)="onBtExport('ns')" color="primary" matTooltip="Export to Excel">archive</mat-icon>
                      </div>
                    </div>
                  </div>
                  <div class="example-container mat-elevation-z4">
                    <ag-grid-angular #nsGrid id="nsGrid" style="width: 100%" class="ag-theme-balham my-grid"
                      [columnDefs]="nsColumnDefs" [defaultColDef]="defaultColDef" [rowData]="nsRowData"
                      [context]="context" [animateRows]="true" [gridOptions]="nsGridOptions"
                      [pagination]="true" [paginationPageSize]="10" [frameworkComponents]="frameworkComponents"
                      (gridReady)="onNSGridReady($event)"
                      [overlayLoadingTemplate]="nsOverlayLoadingTemplate"
                      [overlayNoRowsTemplate]="nsOverlayNoRowsTemplate">
                    </ag-grid-angular>
                  </div>
                </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <mat-tab>
          <ng-template matTabLabel>
            <span>Pending</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <div class="example-small-box mat-elevation-z4" fxLayout="column">
                  <div class="table-filters-header" fxLayout="column">
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                        <mat-icon (click)="refreshAgGrid('p')" color="primary" matTooltip="Reset the filters">refresh
                        </mat-icon>
                        <mat-icon (click)="onBtExport('p')" color="primary" matTooltip="Export to Excel">save</mat-icon>
                      </div>
                    </div>
                  </div>
                  <div class="example-container mat-elevation-z4">
                    <ag-grid-angular #pAgGrid id="pGrid" style="width: 100%"
                      class="ag-theme-balham my-grid" [columnDefs]="pColumnDefs"
                      [defaultColDef]="defaultColDef" [rowData]="pRowData" [context]="context"
                      [animateRows]="true" [gridOptions]="pGridOptions" [pagination]="true"
                      [paginationPageSize]="10" [frameworkComponents]="frameworkComponents"
                      (gridReady)="onPGridReady($event)"
                      [overlayLoadingTemplate]="pOverlayLoadingTemplate"
                      [overlayNoRowsTemplate]="pOverlayNoRowsTemplate">
                    </ag-grid-angular>
                  </div>
                </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <mat-tab>
          <ng-template matTabLabel>
            <span>Verified</span>
          </ng-template>
          <ng-template matTabContent>
            <div class="example-small-box mat-elevation-z4" fxLayout="column">
              <div class="example-container mat-elevation-z4">
                <div class="example-small-box mat-elevation-z4" fxLayout="column">
                  <div class="table-filters-header" fxLayout="column">
                    <div fxLayout="row" fxLayoutAlign="start">
                      <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                        <mat-icon (click)="refreshAgGrid('v')" color="primary" matTooltip="Reset the filters">refresh
                        </mat-icon>
                        <mat-icon (click)="onBtExport('v')" color="primary" matTooltip="Export to Excel">save</mat-icon>
                      </div>
                    </div>
                  </div>
                  <div class="example-container mat-elevation-z4">
                    <ag-grid-angular #vAgGrid id="vGrid" style="width: 100%"
                      class="ag-theme-balham my-grid" [columnDefs]="vColumnDefs"
                      [defaultColDef]="defaultColDef" [rowData]="vRowData" [context]="context"
                      [animateRows]="true" [gridOptions]="vGridOptions" [pagination]="true"
                      [paginationPageSize]="10" [frameworkComponents]="frameworkComponents"
                      (gridReady)="onVGridReady($event)"
                      [overlayLoadingTemplate]="vOverlayLoadingTemplate"
                      [overlayNoRowsTemplate]="vOverlayNoRowsTemplate">
                    </ag-grid-angular>
                  </div>
                </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>
      </mat-tab-group>
    </mat-card-content>
  </mat-card>
</div>
